Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915913 (qtgraphicaleffects) - Review Request: qt5-qtgraphicaleffects - Qt5 - QtGraphicalEffects component
Summary: Review Request: qt5-qtgraphicaleffects - Qt5 - QtGraphicalEffects component
Keywords:
Status: CLOSED ERRATA
Alias: qtgraphicaleffects
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review
Blocks: kde-reviews qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:45 UTC by Rex Dieter
Modified: 2013-09-27 18:41 UTC (History)
3 users (show)

Fixed In Version: qt5-qtgraphicaleffects-5.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 12:08:03 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:45:52 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtgraphicaleffects.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtgraphicaleffects-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtGraphicalEffects component
Fedora Account System Username: rdieter

Comment 2 Lubomir Rintel 2013-08-27 17:16:42 UTC
* Package named properly
- Latest version not used, probably fine
- License text is not present
- The SPEC file in SRPM and one linked to differ (see below)
- SPEC file clean and legible
* Require list sane
* Provides sane
* Filelist sane
- Debuginfo package empty
* Owns all files it should own
* Builds fine in mock

0.) You refer to license files in a comment, but don't ship any documentation

Please clarify which package are livense files in, and possibly ask upstream to include full license text.

1.) Please make sure the package uses correct Source tag, your two SPEC files differ:

-Source0: http://download.qt-project.org/archive/qt/5.0/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
+Source0: http://releases.qt-project.org/qt5/%{version}%{?pre:-%{pre}}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz

2.) Please disable generation of debuginfo package (or turn it noarch -- qml files look like they shoul belong to datadir instead of libdir)

3.) Please consider using more useful description

Comment 3 Rex Dieter 2013-08-28 17:56:38 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtgraphicaleffects.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtgraphicaleffects-5.0.2-2.fc19.src.rpm

%changelog
* Wed Aug 28 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- update Source URL
- clarify license comment
- disable -debuginfo

Comment 4 Rex Dieter 2013-08-28 17:59:07 UTC
updated description too, same URLs,

%changelog
* Wed Aug 28 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- improved description
- update Source URL
- clarify license comment
- disable -debuginfo

Comment 5 Lubomir Rintel 2013-08-29 14:19:15 UTC
Thank you, looks fine.

APPROVED

Comment 6 Rex Dieter 2013-08-29 20:57:33 UTC
New Package SCM Request
=======================
Package Name: qt5-qtgraphicaleffects
Short Description: Qt5 - QtGraphicalEffects component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20
InitialCC:

Comment 7 Gwyn Ciesla 2013-08-30 00:44:57 UTC
Git done (by process-git-requests).

Comment 8 Rex Dieter 2013-09-03 12:08:03 UTC
imported

Comment 9 Rex Dieter 2013-09-10 20:40:17 UTC
Package Change Request
======================
Package Name: qt5-qtgraphicaleffects
New Branches: el6
Owners: rdieter
InitialCC: 

Co-maintainers welcome!

Comment 10 Gwyn Ciesla 2013-09-11 12:04:03 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-09-11 17:29:31 UTC
qt5-qtgraphicaleffects-5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtgraphicaleffects-5.1.1-1.el6

Comment 12 Fedora Update System 2013-09-27 18:41:26 UTC
qt5-qtgraphicaleffects-5.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.